package com.trust.ywx.specs


import android.content.Intent
import com.facebook.react.bridge.ReactApplicationContext
import com.trust.ywx.AppManager
import com.trust.ywx.BuzActivity
import com.trust.ywx.specs.NativeNavigationManagerSpec
import com.trust.ywx.specs.navigation.NavigationHelper

class NavigationManager(reactContext: ReactApplicationContext) :
    NativeNavigationManagerSpec(reactContext) {
    override fun navigate(name: String) {
        NavigationHelper.routerName = name
        AppManager.lastActivity()
            ?.startActivity(Intent(AppManager.lastActivity(), BuzActivity::class.java))
    }

    override fun pop(name: String?) {

    }

}